CMAX: [Version 1.0 (6/22/93)]
CMAX: ----------------------------------------------------
CMAX: Transformation of PINDX2 from pindx2.f
CMAX: ----------------------------------------------------
      FUNCTION pindx2(p)
c
      REAL p
      COMMON / PRINDEX / PINDX (3201)
!hpf$ distribute pindx(block)
c
      IF (p .LT. 1.0) THEN
        rfact = 1000.
        rdisp = -99.
      ELSEIF (p .LT. 10.) THEN
        rfact = 100.
        rdisp = 801.
      ELSEIF (p .LT. 50.) THEN
        rfact = 10.
        rdisp = 1701.
      ELSE
        rfact = 1.
        rdisp = 2151.
      ENDIF
c
      ip = nint(p * rfact + rdisp)
      pindx2 = pindx(ip)
c
      RETURN
      END
